<!--
  Generated template for the ThemesPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
	<page-nav-bar class="fixed-content"></page-nav-bar>
</ion-header>
<ion-content>
	<div class="themes-container">
		<div class="themes-content">
			<div class="title-page">
				<h3>Perfil</h3>
			</div>
			<div class="info">
				<h4>Edita tus preferencias</h4>
				<p>Los cambios que realices aquí se reflejarán en tu perfil de la Universidad Scotiabank.</p>
			</div>
			<ion-item class="edit-image">
				
					<!-- <img [src]="image" /> -->
					<div class="image-perfil" [style.background-image]="'url(' + image + ')'"></div>
					<button class="" ion-button block (click)="getPicture()">Hacer una foto </button>
					<button class="" ion-button block (click)="getPictureGallery()">Seleccionar una foto </button>

			</ion-item>
			<form [formGroup]="userForm" (ngSubmit)="onSubmit(userForm.value)">

				<!-- <div class="edit-picture change-picture">
		          <img ng-src="{{user.picture}}"></img>
		          <div class="hover-foto">
		            <div class="box-foto">
		              <i class="fa fa-camera" aria-hidden="true"></i>
		              <p>Cambiar foto</p>
		            </div>
		          </div>
		          <input ng-model="user.picture" type="file" onchange="angular.element(this).scope().fileNameChaged(this)"></input>
		        </div> -->
				<ion-list>
					
				  	<ion-item>
				    	<ion-label color="primary" stacked>Nickname</ion-label>
				    	<ion-input type="text" placeholder="" formControlName="nickname"></ion-input>
				  	</ion-item>

				  	<ion-item>
				    	<ion-label color="primary" stacked>Nombre completo</ion-label>
				    	<ion-input type="text" disabled placeholder="" formControlName="nombre_completo"></ion-input>
				  	</ion-item>

				 	<ion-item>
				    	<ion-label color="primary" stacked>Código de usuario</ion-label>
				    	<ion-input type="text" disabled placeholder="" formControlName="uname"></ion-input>
				  	</ion-item>

				  	<ion-item>
				    	<ion-label color="primary" stacked>Compañía</ion-label>
				    	<ion-input type="text" disabled placeholder="" formControlName="compania"></ion-input>
				  	</ion-item>

				  	<ion-item>
				    	<ion-label color="primary" stacked>Correo electrónico corporativo</ion-label>
				    	<ion-input type="text" disabled placeholder="" formControlName="correo_corp"></ion-input>
				  	</ion-item>

				  	<ion-item>
				    	<ion-label color="primary" stacked>Correo electrónico personal</ion-label>
				    	<ion-input type="text" placeholder="" formControlName="correo_electronico_persona"></ion-input>
				  	</ion-item>
				  	<ion-item>
				    	<ion-label color="primary" stacked>Celular</ion-label>
				    	<ion-input type="text" placeholder="" formControlName="celular"></ion-input>
				  	</ion-item>

				  	<ion-item>
				    	<ion-label color="primary" stacked>Fecha de Nacimiento</ion-label>
  						<ion-datetime displayFormat="YYYY/MM/D" formControlName="fecha_nacimiento" pickerFormat="YYYY M D"></ion-datetime>
				  	</ion-item>
				  
				  	<ion-item>
				    	<ion-label color="primary" stacked>Área</ion-label>
				    	<ion-input type="text" disabled placeholder="" formControlName="area"></ion-input>
				  	</ion-item>

				  	<ion-item>
				    	<ion-label color="primary" stacked>Cargo / Puesto</ion-label>
				    	<ion-input type="text" disabled placeholder="" formControlName="cargo_puesto"></ion-input>
				  	</ion-item>
				  	
				  	<div class="pass-input todayPass">
				  		<ion-item>
					    	<ion-label color="primary" stacked>Contraseña actual</ion-label>
					    	<ion-input type="password" placeholder="" formControlName="password"></ion-input>
					  	</ion-item>
					  	<a (click)="showPassToday()" class="showPass"><ion-icon name="eye" *ngIf="iconShowPass"></ion-icon><ion-icon name="eye-off" *ngIf="iconHiddenPass"></ion-icon></a>
				  	</div>
				  	<div class="pass-input newPass">
				  		<ion-item>
					    	<ion-label color="primary" stacked>Contraseña nueva</ion-label>
					    	<ion-input type="password" placeholder="" formControlName="password_new"></ion-input>
					  	</ion-item>
					  	<a (click)="showPassNew()" class="showPass"><ion-icon name="eye" *ngIf="iconShowPassNew"></ion-icon><ion-icon name="eye-off" *ngIf="iconHiddenPassNew"></ion-icon></a>
				  	</div>
				  	<div class="pass-input confirmPass">
				  		<ion-item>
					    	<ion-label color="primary" stacked>Confirmar contraseña</ion-label>
					    	<ion-input type="password" placeholder="" formControlName="password_new_repeat"></ion-input>
					  	</ion-item>
					  	<a (click)="showPassConfirm()" class="showPass"><ion-icon name="eye" *ngIf="iconShowPassConfirm"></ion-icon><ion-icon name="eye-off" *ngIf="iconHiddenPassConfirm"></ion-icon></a>
				  	</div>
				  	<div class="politics-private">
				  		<h5>Política de privacidad</h5>
				  		<p>Al aceptar la Política de Privacidad de Scotiabank, garantizo que la información que estoy proporcionando es veraz y actualizada. Scotiabank podría utilizar la información personal proporcionada en mi perfil para contactarme en cualquier momento o para enviarme información sobre los eventos de aprendizaje a los que me inscriba

				  		El uso y divulgación de esta información se encamina a las actividades de entrenamiento de colaboradores. Scotiabank no negociará, venderá ni compartirá mi información para que esta sea utilizada por otras empresas sin mi consentimiento. Mi información solo se compartirá con aquellos proveedores contratados para prestar servicios de plataformas de entretenimiento, o cuando sea requerida por ministerio de ley.</p>
				  	</div>
				  	<ion-item class="input-check" >
				  		<ion-checkbox name="remember" id="remember" formControlName="politica"></ion-checkbox>
            			<ion-label color="primary" stacked>Acepto política de privacidad</ion-label>
				  	</ion-item>	
				  	<div class="content-button">
          				<button class="submit login" type="submit">Guardar</button>
          				<a class="submit login" (click)="goBack()">Cancelar</a>
				  	</div>
				</ion-list>
			</form>
		</div>
	</div>
</ion-content>
